# Update External Contact

PATCH /{externalContactId}

#### Description

Updates the information of an existing external contact, allowing modifications to details such as name, email, or associated Hyperproof objects.

Endpoint: PATCH /{externalContactId}
Version: 1.0
Security: oauth2

## Path parameters:

  - `externalContactId` (string, required)
    Unique ID of the external contact to update.

## Request fields (application/json):

  - `givenName` (string)
    The given name to update to for the external contact.
    Example: "Jane"

  - `surname` (string)
    The surname to update to for the external contact.
    Example: "Doe"

  - `email` (string)
    The email address to update to for the external contact.
    Example: "jane.doe@example.com"

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the external contact.
    Example: "d88d505d-5199-11ee-a644-522476618ae8"

  - `orgId` (string)
    The unique identifier for the organization.
    Example: "ce83e3cd-5199-11ee-a644-522476618ae8"

  - `givenName` (string)
    The given name of the external contact.
    Example: "John"

  - `surname` (string)
    The surname of the external contact.
    Example: "Smith"

  - `email` (string)
    The email address of the external contact.
    Example: "john.smith@example.com"

  - `objectType` (string)
    The type of the Hyperproof object the external contact is associated with.
    Example: "vendor"

  - `objectId` (string)
    The id of the Hyperproof object the external contact is associated with.
    Example: "e99e616e-6211-22ff-b755-633587729bf9"

  - `status` (string)
    The status of the external contact.
    Enum: "active", "archived", "deleted"

  - `createdOn` (string)
    The date the external contact was created (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `createdBy` (string)
    The unique identifier of the user who created the external contact.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date the external contact was updated (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the external contact.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `permissions` (array)
    List of permissions the API user has on the external contact.
    Example: []


